सामग्री पर जाएँ

PASD

इंटीग्रेट करें

मॉडल id pasd
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pasd?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.126 126 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Open model इमेज एडिटिंग #utility#editing

डिफ्यूज़न-आधारित सुपर-रिज़ॉल्यूशन, जो वैकल्पिक प्रॉम्प्ट मार्गदर्शन के साथ इमेज को 1x से 4x तक बड़ा करता है

Open model · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

डिफ़ॉल्ट

सुपर-रिज़ॉल्यूशन को नियंत्रित करने वाला पूरक प्रॉम्प्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

सुपर-रिज़ॉल्यूशन प्रोसेसिंग के लिए दी गई इमेज।

डिफ़ॉल्ट 2

अपस्केलिंग के लिए स्केल गुणक, 1 से 4x तक।

उन्नत negative_prompt · steps · guidance_scale · conditioning_scale
डिफ़ॉल्ट blurry, dirty, messy,...

दबाए जाने वाले आर्टिफ़ैक्ट निर्दिष्ट करने वाला नेगेटिव प्रॉम्प्ट।

डिफ़ॉल्ट 25

इन्फ़रेंस चरणों की संख्या, 10 से 50 तक।

डिफ़ॉल्ट 7

डिफ्यूज़न मार्गदर्शन की तीव्रता, 1.0 से 20.0 तक।

डिफ़ॉल्ट 0.8

ControlNet कंडीशनिंग की तीव्रता, 0.1 से 1.0 तक।

POST /run/pasd?wait=20 कोटेशन → $0.126
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pasd?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

PASD के बारे में

`image_url` के माध्यम से दी गई निम्न-गुणवत्ता वाली इमेज को पुनर्स्थापित और बड़ा करता है। `scale` 1 से 4 (डिफ़ॉल्ट 2), `steps` 10 से 50, `guidance_scale` 1 से 20 और ControlNet की शक्ति के लिए `conditioning_scale` 0.1 से 1 तक होता है। वैकल्पिक `prompt` और `negative_prompt` विवरणों को नियंत्रित करते हैं। इसका उपयोग वैयक्तिकृत शैलीकरण के लिए भी किया जा सकता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
सुपर-रिज़ॉल्यूशन प्रोसेसिंग के लिए दी गई इमेज।
scaleवैकल्पिक
प्रकारinteger | null
डिफ़ॉल्ट2
1 – 4
अपस्केलिंग के लिए स्केल गुणक, 1 से 4x तक।
stepsवैकल्पिक
प्रकारinteger | null
डिफ़ॉल्ट25
10 – 50
इन्फ़रेंस चरणों की संख्या, 10 से 50 तक।
guidance_scaleवैकल्पिक
प्रकारnumber | null
डिफ़ॉल्ट7
1 – 20
डिफ्यूज़न मार्गदर्शन की तीव्रता, 1.0 से 20.0 तक।
conditioning_scaleवैकल्पिक
प्रकारnumber | null
डिफ़ॉल्ट0.8
0.1 – 1
ControlNet कंडीशनिंग की तीव्रता, 0.1 से 1.0 तक।
promptवैकल्पिक
प्रकारstring | null
डिफ़ॉल्ट
सुपर-रिज़ॉल्यूशन को नियंत्रित करने वाला पूरक प्रॉम्प्ट।
negative_promptवैकल्पिक
प्रकारstring | null
डिफ़ॉल्टblurry, dirty, messy, frames, deformed, dotted, noise, raster lines, unclear, lowres, over-smoothed, painting, ai generated
दबाए जाने वाले आर्टिफ़ैक्ट निर्दिष्ट करने वाला नेगेटिव प्रॉम्प्ट।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pasd",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 126,
    "usd": "0.126",
    "charged": 126,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}सुपर-रिज़ॉल्यूशन से बनाई गई इमेज।
timings
objectप्रोसेसिंग चरण के अनुसार विभाजित टाइमिंग डेटा।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/pasd.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt